Loading...
Searching...
No Matches
RDKit::RCore Struct Reference

RCore is the core common to a series of molecules. More...

`#include <RGroupCore.h>`

## Public Member Functions

| RCore ()
| RCore (const RWMol &c)
void | init ()
bool | isCoreAtomUserLabelled (int idx) const
void | countUserRGroups ()
void | findIndicesWithRLabel ()
ROMOL_SPTR | replaceCoreAtomsWithMolMatches (const ROMol &mol, const MatchVectType &match) const
RWMOL_SPTR | extractCoreFromMolMatch (const ROMol &mol, const MatchVectType &match, const RGroupDecompositionParameters &params) const
std::vector< MatchVectType > | matchTerminalUserRGroups (const RWMol &target, MatchVectType match, const SubstructMatchParameters &sssParams) const
std::shared_ptr< TautomerQuery > | getMatchingTautomerQuery ()
bool | isTerminalRGroupWithUserLabel (const int idx) const
bool | checkAllBondsToAttachmentPointPresent (const ROMol &mol, const int attachmentIdx, const MatchVectType &mapping) const

## Public Attributes

boost::shared_ptr< RWMol > | core
boost::shared_ptr< RWMol > | matchingMol
boost::shared_ptr< RWMol > | labelledCore
boost::dynamic_bitset | core_atoms_with_user_labels
size_t | numberUserRGroups = 0

## Detailed Description

RCore is the core common to a series of molecules.

Definition at line 25 of file RGroupCore.h.

## Constructor & Destructor Documentation

## RCore() [1/2]

RDKit::RCore::RCore | ( |  | ) |

inline

Definition at line 35 of file RGroupCore.h.

## RCore() [2/2]

RDKit::RCore::RCore | ( | const RWMol & | c | ) |

inline

Definition at line 36 of file RGroupCore.h.

References init().

## Member Function Documentation

## checkAllBondsToAttachmentPointPresent()

bool RDKit::RCore::checkAllBondsToAttachmentPointPresent | ( | const ROMol & | mol,
|  | const int | attachmentIdx,
|  | const MatchVectType & | mapping
| ) |  | const

## countUserRGroups()

void RDKit::RCore::countUserRGroups | ( |  | ) |

inline

Definition at line 44 of file RGroupCore.h.

References core_atoms_with_user_labels, and numberUserRGroups.

## extractCoreFromMolMatch()

RWMOL_SPTR RDKit::RCore::extractCoreFromMolMatch | ( | const ROMol & | mol,
|  | const MatchVectType & | match,
|  | const RGroupDecompositionParameters & | params
| ) |  | const

## findIndicesWithRLabel()

void RDKit::RCore::findIndicesWithRLabel | ( |  | ) |

## getMatchingTautomerQuery()

std::shared_ptr< TautomerQuery > RDKit::RCore::getMatchingTautomerQuery | ( |  | ) |

## init()

void RDKit::RCore::init | ( |  | ) |

Referenced by RCore().

## isCoreAtomUserLabelled()

bool RDKit::RCore::isCoreAtomUserLabelled | ( | int | idx | ) | const

inline

Definition at line 40 of file RGroupCore.h.

References core_atoms_with_user_labels.

## isTerminalRGroupWithUserLabel()

bool RDKit::RCore::isTerminalRGroupWithUserLabel | ( | const int | idx | ) | const

inline

Definition at line 71 of file RGroupCore.h.

## matchTerminalUserRGroups()

std::vector< MatchVectType > RDKit::RCore::matchTerminalUserRGroups | ( | const RWMol & | target,
|  | MatchVectType | match,
|  | const SubstructMatchParameters & | sssParams
| ) |  | const

## replaceCoreAtomsWithMolMatches()

ROMOL_SPTR RDKit::RCore::replaceCoreAtomsWithMolMatches | ( | const ROMol & | mol,
|  | const MatchVectType & | match
| ) |  | const

## Member Data Documentation

## core

boost::shared_ptr<RWMol> RDKit::RCore::core

Definition at line 26 of file RGroupCore.h.

## core_atoms_with_user_labels

boost::dynamic_bitset RDKit::RCore::core_atoms_with_user_labels

Definition at line 32 of file RGroupCore.h.

Referenced by countUserRGroups(), and isCoreAtomUserLabelled().

## labelledCore

boost::shared_ptr<RWMol> RDKit::RCore::labelledCore

Definition at line 29 of file RGroupCore.h.

## matchingMol

boost::shared_ptr<RWMol> RDKit::RCore::matchingMol

Definition at line 28 of file RGroupCore.h.

## numberUserRGroups

size_t RDKit::RCore::numberUserRGroups = 0

Definition at line 34 of file RGroupCore.h.

Referenced by countUserRGroups().

The documentation for this struct was generated from the following file:

- RGroupCore.h